# $Id: stream.rb,v 1.6 2002/09/15 15:43:03 toki Exp $
# -
# Octet-Stream document for Performance Test

require 'wwwsrv/const'
require 'wwwsrv/document'

module WWWsrv
  class OctetStreamDocument < WWWsrv::Document
    def initialize(fragment, count)
      @fragment = fragment
      @count = count
    end

    def respond(srv_opt, prefix, request, response)
      srv_opt.doc_log_debug(self, 'enter')
      response.header.content_type = 'application/octet-stream'
      response.header.content_length = (@fragment.length * @count).to_s
      yield(response)
      @count.times do
	yield(@fragment)
      end

      nil
    end
  end
end
