# $Id: timeoutinsp.rb,v 1.4 2002/09/15 11:53:32 toki Exp $
# -
# Timeout Thread Inspection for Debugging

require 'wwwsrv/const'
require 'wwwsrv/thread'
require 'wwwsrv/document'

module WWWsrv
  class TimeoutThreadInspection < WWWsrv::Document
    def respond(srv_opt, prefix, request, response)
      srv_opt.doc_log_debug(self, 'enter')
      response.header.content_type = 'text/plain'
      yield(response)
      yield("*Current Time*\n")
      yield(Time::now.to_s + "\n")
      yield("\n")
      yield("*Tiemout Threads*\n")
      for thread_waiters in WWWsrv::Timeout::WAITERS
	yield(thread_waiters.inspect + "\n")
      end
    end
  end
end
